# Fetch Prime Cash Market Balances

## Get Prime Cash Market Balances

This query can be used to fetch Prime Cash market balances and a Prime Cash markets total debt outstanding: &#x20;

```
{
primeCashMarkets{
  snapshots(first: 1, orderBy: timestamp, orderDirection:desc){
    market{
      id
    }
    timestamp
    underlyingScalar
    supplyScalar
    debtScalar
    totalUnderlyingHeld
    totalPrimeCashInUnderlying
    totalPrimeDebtInUnderlying
    totalPrimeCash
    totalPrimeDebt
  }
  }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.notional.finance/v3-technical-docs/subgraph-guides/notional-v3-subgraphs/fetch-prime-cash-market-balances.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
